/* =============================================================================
    * hanamary用追加CSS
    * 主に組み合わせ商品作成用のJS関連に利用
    * ========================================================================== */

/* 商品選択 */
#hana_select {
    position: relative;
    overflow: hidden;
}

#hana_select .drag-area {
    width: 300px;
    height: 300px;
    position: relative;
    margin: 0;
    background-repeat: no-repeat;
    background-size: cover;
}

#hana_select .drag-area li {
    position: absolute;
    left: 0;
    top: 0;
    z-index: 1;
    display: block;
}

#hana_select .drag-area li img {
    max-width: 999999px;    /* bootstrapの指定を打ち消し */
    -webkit-touch-callout: none;
}


#hana_select .drag-area li .selected_frame {    /* 花を選択中のスタイル */
    display: none;
}
#hana_select .drag-area li.selected .selected_frame {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    border: solid 4px #ff96aa;
}

#hana_select .drag-area li.active {    /* 花を移動中のスタイル */
    opacity: 0.7;
    z-index: 2;
}

/* 操作用の吹き出し */
#action_balloon {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    background-color: #fff;
}

#action_balloon ul {
    margin: 0;
}

#action_balloon li {
    cursor: pointer;
    list-style: none;
    line-height: 32px;
}

#hana_select .sort-area {
    width: 100%;
    height: 300px;
    background-color: #ccc;
    margin: 10px;
    padding: 0;
    overflow: scroll;
    -webkit-tap-highlight-color: transparent;
}

#hana_select .sort-area li {
    width: 100%;
    height: 40px;
    box-sizing: border-box;
    position: relative;
    display: block;
    padding: 5px;
    background-color: #ccc;
    border: 1px solid #999;
    vertical-align: middle;
    line-height: 30px;
    font-size: 16px;
}

#hana_select .sort-area li .handle {
    width: 50px;
    height: 30px;
    display: block;
    position: absolute;
    right: 5px;
    top: 5px;
    background: #666;
    cursor: move;
}

/* モデル画像 */
#hana_select .selected-item {
    position: relative;
    padding: 0;
}

#hana_select .selected-item:after {
    content: "";
    display: block;
    height: 0;
    padding-top: 100%;
}

#hana_select .selected-item ul.drag-area {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: contain;
    background-repeat: no-repeat;
    overflow: hidden;
}

.item_select {
    position: relative;
    padding: 0;
}

/* ふきだし */
#hana_select #action_balloon {
    position: absolute;
    background: #FFF;
    border: 2px solid #b4b4b4;
    border-radius: 3px;
    line-height: 37px;
    font-size: 12px;
    color: #a4a4a4;
}

#hana_select #action_balloon ul li {
    padding: 0 10px;
}

#hana_select #action_balloon ul li img {
    margin-right: 5px;
    vertical-align: middle;
}

#hana_select #action_balloon ul li + li {
    border-top: 1px solid #f0f0f0;
}

#hana_select #action_balloon:before {
    position: absolute;
    left: 50%;
    margin-left: -7px;
    content: "";
    display: block;
    width:0;
    height: 0;
    border-left: 7px solid transparent;
    border-right: 7px solid transparent;
}

#hana_select #action_balloon:after {
    position: absolute;
    left: 50%;
    margin-left: -7px;
    content: "";
    display: block;
    width:0;
    height: 0;
    border-left: 7px solid transparent;
    border-right: 7px solid transparent;
}

#hana_select #action_balloon.over:before {
    bottom: -10px;
    border-top: 10px solid #b4b4b4;
}

#hana_select #action_balloon.over:after {
    bottom: -6px;
    border-top: 10px solid #FFF;
}

#hana_select #action_balloon.under:before {
    top: -10px;
    border-bottom: 10px solid #b4b4b4;
}

#hana_select #action_balloon.under:after {
    top: -6px;
    border-bottom: 10px solid #FFF;
}

/* ポップアップ（花選択のスクロールしてくる部分） */
#hana_select #sku_select {
    z-index: 1;
    padding: 0 10px 10px 10px;
    position: absolute;
    left:0;
    width: 100%;
    background: #FFF;

}
/*
@media only screen and (max-width: 767px) {
    #hana_select #sku_select {
        border-bottom: solid 1px #999;
        border-top: solid 1px #999;
        margin-top: 10px;
    }
}
*/


#hana_select #sku_select .control {
    padding: 10px;
    margin: 0 -10px;
}

#hana_select #sku_select .control p {
    width: 100%;
    margin: 0;
    line-height: 36px;
    font-size: 12px;
}

#hana_select #sku_select .control p span {
    float: left;
}

#hana_select #sku_select .control .sku_select_close {
    float: right;
    width: 36px;
    height: auto;
    cursor: pointer;
}
#hana_select #sku_select .control .sku_select_down {
    float: right;
    width: 40px;
    height: auto;
    cursor: pointer;
    margin-right: 10px;
    margin-top: 5px;
}

#hana_select #sku_select .sku_select_area .sku_label,
#flower_list_dialog .sku_label {
    width: 100%;
    text-align: left;
    clear: both;
    font-size: 10px;
    margin: 0;
    padding: 10px 0 5px 10px;
}

#flower_list, #hana_select #sku_select .sku_select_area {
    overflow-y: scroll;
    height: 150px;    /* hanamary.jsで上書きされる */
}

#flower_list {
    height: 300px;
}

#flower_list h2 {
    margin: 5px 0 0 0;
    text-align: center;
    border-top: none;
}
#flower_list h2+div {
    margin-bottom: 5px;
}


#flower_list>div>div,
#hana_select #sku_select .sku_select_area>div {
    width: 100%;
    table-layout: fixed;
}

#flower_list>div>div>div,
#hana_select #sku_select .sku_select_area>div>div {
    padding: 5px 0;
    width: 20%;
    text-align: center;
    vertical-align: middle;
    float: left;
}

#flower_list>div>div>div button,
#hana_select #sku_select .sku_select_area>div>div button {
    border: 0;
    background: none;
    padding: 0;
    width: 80%;
    height: auto;
}

#flower_list>div>div button img,
#hana_select #sku_select .sku_select_area>div>div button img {
    max-width: 100%;
    max-height: 100%;
    height: auto;
}

.bg_select_area {
    overflow-y: scroll;
}
.bg_select_area button {
    border: 0;
    background: none;
    padding: 0;
    height: auto;
    width: 45%;
    margin: 2.5%;
    float: left;
}

/* カルーセル部分 */
#hana_select .products_list {
    z-index: 2;
    position: relative;
    width: 100%;
    background: #FFF;
    overflow: hidden;
    height: 65px;
}

#hana_select .products_list .items {
    position: absolute;
    left:0;
    margin: 0 19px;
    white-space: nowrap;
    width: calc(100% - 38px);
    overflow-x: scroll;
}

#hana_select .products_list p {
    position: absolute;
    top: 0;
    z-index:3;
    cursor: pointer;
}
#hana_select .products_list p.prev {
    left: 0;
}
#hana_select .products_list p.next {
    right: 0;
}
#hana_select .products_list p.prev,
#hana_select .products_list p.next {
    height: 65px;
    width: 18px;
    background-color: #ffebf0;
}
#hana_select .products_list p.prev i,
#hana_select .products_list p.next i {
    color: #ff96aa;
    font-size: 18px;
    line-height: 65px;
}

#hana_select .products_list button {
    padding: 0;
    border: none;
    background: none;
    margin: 0;
    vertical-align: top;
}

#hana_select .products_list button img {
    height: 65px;
}

/* 選択中の商品 */
#hana_select .selected_itemList {
    margin-bottom: 30px;
    padding: 0 10px;
    width: 768px;
}

#hana_select .selected_itemList > div {
    padding: 0;
    width: 25%;
    position: relative;
    float: left;
}

#hana_select .selected_itemList dl {
    display: table;
    table-layout: fixed;
    width: 100%;
    margin: 0;
}

#hana_select .selected_itemList dt {
    padding: 1em 0;
    display: table-cell;
    vertical-align: middle;
    text-align: center;
    width: 42%;
    background: #eeeeee;
    font-size: 13px;
    color: #e986ab;
    border-bottom: 1px solid #f8f8f8;
}

#hana_select .selected_itemList dd {
    padding: 1em;
    display: table-cell;
    vertical-align: middle;
    text-align: center;
    width: 58%;
    background: #FFF;
    border-bottom: 1px solid #eeeeee;
}
#hana_select .selected_itemList dd img {
    display: inline !important;
    vertical-align: middle;
}

#hana_select .total {
    float: left;
    margin-left: 20px;
    margin-bottom: 20px;
    width: 268px;
    height: 60px;
}
#progress_dialog {
    margin-top: 20%;
}
#progress_dialog .dialog_loading {
    width: 20%;
    height: auto;
    margin-left: 40%;
    -webkit-animation-name: brink;
    -webkit-animation-duration: 1.0s;
    -webkit-animation-timing-function: ease-in;
    -webkit-animation-iteration-count: infinite;
    -moz-animation-name: brink;
    -moz-animation-duration: 1.0s;
    -moz-animation-timing-function: ease-in;
    -moz-animation-iteration-count: infinite;
    -o-animation-name: brink;
    -o-animation-duration: 1.0s;
    -o-animation-timing-function: ease-in;
    -o-animation-iteration-count: infinite;
    animation-name: brink;
    animation-duration: 1.0s;
    animation-timing-function: ease-in;
    animation-iteration-count: infinite;
}

.flower_list #btn_flower_list {
    margin: 0 auto;
    display: block;
    width: 70%;
    padding: 7px;
    background-color: #e986ab;
    border: none;
    font-size: 13px;
    color: #fff;
    border-radius: 5px;}



.modal-backdrop {
    z-index: 2001;
}
.modal {
    z-index: 2002;
}

.modal-dialog {
    margin-top: 45px;
    margin-bottom: 45px;
}

/*スマホ*/
@media only screen and (max-width: 767px) {

/*    #hana_select {
        padding-bottom: 30px;
    }*/

/*    #hana_select .products_list {
        position: absolute;
        bottom: 3px;
    }*/
    /*.flower_list {
        position: absolute;
        bottom: -42px;
        text-align: center;
    }*/

    .flower_list {
        margin: 1em 0 0;
    }

    #hana_select #sku_select {
        display: none;
    }

    #hana_select #sku_select .control {
        padding: 5px 10px;
        margin: 0 -10px;
        background-color: #ffebf0;
        position: relative;
    }

    .block_cover {
        position: absolute;
        background-color: rgba(255, 255, 255, 0.1);
        top: 0;
        left: 0;
        z-index: 9999;
    }

    .finger {
        position: absolute;
        background-image: url(../../ec_theme/default/images/common/ico_yubi.png);
        background-repeat: no-repeat;
        background-size: contain;
        z-index: 10000;
    }

    .finger.active {
        background-image: url(../../ec_theme/default/images/common/ico_yubi_active.png);
    }

    #sku_select .control .blinking {
        position: absolute;
        background-color: transparent;
        border: solid 3px #ff96aa;
        box-sizing: border-box;
        top: 0;
        left: 0;
        -webkit-animation:blink 0.5s ease-in-out infinite alternate;
        -moz-animation:blink 0.5s ease-in-out infinite alternate;
        animation:blink 0.5s ease-in-out infinite alternate;
    }
    @-webkit-keyframes blink{
        0% {opacity: 0;}
        100% {opacity: 1;}
    }
    @-moz-keyframes blink{
        0% {opacity: 0;}
        100% {opacity: 1;}
    }
    @keyframes blink{
        0% {opacity: 0;}
        100% {opacity: 1;}
    }
}

/*PC*/
@media only screen and (min-width: 768px) {
    #hana_select{
        margin: 0;
        padding-bottom: 20px;
    }

    #hana_select .selected-item {
        width: 374px;
        height: 354px;
        /* 後付けサイズ */
    }

    #hana_select .selected-item ul.drag-area {
        left: 10px;
        width: 354px;
        height: 354px;
    }

    /*#hana_select .item_select {
        position: relative;
        float: left;
        margin-left: 20px;
        width: 268px;
    }*/

    #hana_select #sku_select {
        padding-bottom: 3px;
        position: static;
        /*width: 268px;
        bottom: 53px;*/
    }

    #hana_select #sku_select .sku_select_close {
        display: none;
    }
    #hana_select #sku_select .sku_select_down {
        display: none;
    }

    #hana_select #sku_select .sku_select_area {
        margin: 0 -10px;
        padding: 0 15px 0 10px;
        height: 175px;
    }

    #hana_select .products_list {
        /*position: absolute;*/
        bottom: 3px;
        /*width: 268px;*/
    }

    .addPhoto {
        background-color: transparent;
    }

    .flower_list {
        /*position: absolute;*/
        bottom: -42px;
        width: 268px;
        text-align: center;
    }

    #bg_list_dialog .modal-wide {
        width: 800px;
    }
}

.table-striped tbody tr.not_on_sale td {
    background-color: #ffe9e9;
}

/* お客様画面ラベル */
.one-item {
    position: relative;
}
.label-container {
    position: absolute;
    z-index: 10;
    top: 0;
    right: 5px;
    text-align: right;
}
.label-container img {
    width: 25%;
    height: 25%;
    min-width: 60px;
    min-height: 60px;
}
@media screen and (max-width: 767px) {
    .label-container {
        right: 3px;
    }
    .label-container img {
        width: 25%;
        height: 25%;
        min-width: 35px;
        min-height: 35px;
    }
}


.pickup-on {
    background-color: #F6C1ED !important;
}


/* Footer */
.btn-pagetop {
    display: none;
}
@media screen and (max-width: 767px) {
    .btn-pagetop {
        display: block;
        position: fixed;
        right: -40px;
        bottom: 60px;
        width: 40px;
        height: 40px;
        text-align: center;
        background: rgba(255,85,124,.7);
        transition: right .3s ease-out;
    }
    .btn-pagetop.is-open {
        right: 0;
    }
    .btn-pagetop .fa {
        color: #FFF;
        line-height: 40px;
    }
}
